# Generated from google-apis-privateca_v1beta1-0.11.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name google-apis-privateca_v1beta1

Name: rubygem-%{gem_name}
Version: 0.11.0
Release: 1%{?dist}
Summary: Simple REST client for Certificate Authority API V1beta1
License: Apache-2.0
URL: https://github.com/google/google-api-ruby-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
BuildArch: noarch

%description
This is the simple REST client for Certificate Authority API V1beta1. Simple
REST clients are Ruby client libraries that provide access to Google services
via their HTTP REST API endpoints. These libraries are generated and updated
automatically based on the discovery documents published by the service, and
they handle most concerns such as authentication, pagination, retry, timeouts,
and logging. You can use this client to access the Certificate Authority API,
but note that some services may provide a separate modern client that is
easier to use.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/OVERVIEW.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.11.0-1
- Initial package
